Skip to main content
GET
/
project
/
{projectId}
/
deploymentRule
List project deployment rules
curl --request GET \
  --url https://api.qovery.com/project/{projectId}/deploymentRule \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "created_at": "2023-11-07T05:31:56Z",
      "name": "project-rule",
      "mode": "PRODUCTION",
      "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "timezone": "UTC",
      "start_time": "1970-01-01T08:00:00.000Z",
      "stop_time": "1970-01-01T19:00:00.000Z",
      "weekdays": [
        "MONDAY"
      ],
      "wildcard": "",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "description project rule",
      "auto_stop": false,
      "priority_index": 123
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://qovery-update-mcp-query.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

projectId
string<uuid>
required

Project ID

Response

Get project deployment rules

results
object[]